%define upstream_name    Sub-Install
%define upstream_version 0.926

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Install subroutines into packages easily
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description 
This module makes it easy to install subroutines into packages without the
unslightly mess of no strict or typeglobs lying about where just anyone can see
them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{makeinstall_std}

%check
%{__make} test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Sub
%{_mandir}/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.926.0-3.mga4
+ Revision: 514717
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.926.0-2.mga3
+ Revision: 372890
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 0.926.0-1.mga2
+ Revision: 219707
- update to 0.926

* Wed Jan 19 2011 jquelin <jquelin> 0.925-3.mga1
+ Revision: 24001
- cleaning spec file
- imported package perl-Sub-Install


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 0.925-3mdv2011.0
+ Revision: 609166
- rebuild

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.925-2mdv2010.0
+ Revision: 440669
- rebuild

* Sat Jan 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.925-1mdv2009.1
+ Revision: 330402
- update to new version 0.925

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.924-3mdv2009.0
+ Revision: 241909
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.924-1mdv2008.0
+ Revision: 74474
- import perl-Sub-Install


* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.924-1mdv2008.0
- first mdv release
